/*
  Simple DirectMedia Layer
  Copyright (C) 1997-2020 Sam Lantinga <slouken@libsdl.org>

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not
     claim that you wrote the original software. If you use this software
     in a product, an acknowledgment in the product documentation would be
     appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.
*/

#ifndef usb_ids_h_
#define usb_ids_h_

/* Definitions of useful USB VID/PID values */

#define USB_VENDOR_HYPERKIN     0x2e24
#define USB_VENDOR_MICROSOFT    0x045e
#define USB_VENDOR_NINTENDO     0x057e
#define USB_VENDOR_NVIDIA       0x0955
#define USB_VENDOR_PDP          0x0e6f
#define USB_VENDOR_POWERA       0x24c6
#define USB_VENDOR_SONY         0x054c
#define USB_VENDOR_RAZER        0x1532
#define USB_VENDOR_VALVE        0x28de

#define USB_PRODUCT_NINTENDO_GAMECUBE_ADAPTER           0x0337
#define USB_PRODUCT_RAZER_PANTHERA                      0x0401
#define USB_PRODUCT_RAZER_PANTHERA_EVO                  0x1008
#define USB_PRODUCT_SONY_DS4                            0x05c4
#define USB_PRODUCT_SONY_DS4_DONGLE                     0x0ba0
#define USB_PRODUCT_SONY_DS4_SLIM                       0x09cc
#define USB_PRODUCT_XBOX_ONE_ELITE_SERIES_1             0x02e3
#define USB_PRODUCT_XBOX_ONE_ELITE_SERIES_2             0x0b00
#define USB_PRODUCT_XBOX_ONE_ELITE_SERIES_2_BLUETOOTH   0x0b05
#define USB_PRODUCT_XBOX_ONE_S_REV1_BLUETOOTH           0x02e0
#define USB_PRODUCT_XBOX_ONE_S_REV2_BLUETOOTH           0x02fd

#endif /* usb_ids_h_ */

/* vi: set ts=4 sw=4 expandtab: */
